USRP Hardware Driver and USRP Manual: uhd::tune_result_t Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::tune_result_t Struct Reference

`#include <uhd/types/tune_result.hpp>`

## Public Member Functions
std::string | to_pp_string (void) const
| tune_result_t ()

## Public Attributes
double | clipped_rf_freq
double | target_rf_freq
double | actual_rf_freq
double | target_dsp_freq
double | actual_dsp_freq

## Detailed Description

The tune result struct holds the RF and DSP tuned frequencies.

## Constructor & Destructor Documentation

## ◆ tune_result_t()

uhd::tune_result_t::tune_result_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ to_pp_string()

std::string uhd::tune_result_t::to_pp_string | ( | void |  | ) | const

Create a pretty print string for this tune result struct.

Returns
  the printable string

## Member Data Documentation

## ◆ actual_dsp_freq

double uhd::tune_result_t::actual_dsp_freq

The frequency to which the CORDIC in the DSP actually tuned

If we failed to hit the target DSP frequency, it is either because the requested resolution wasn't possible or something went wrong in the DSP. In most cases, it should equal the target_dsp_freq above.

## ◆ actual_rf_freq

double uhd::tune_result_t::actual_rf_freq

The frequency to which the RF LO actually tuned

If this does not equal the target_rf_freq, then it is because the target was outside of the range of the LO, or the LO was not able to hit it exactly due to tuning accuracy.

## ◆ clipped_rf_freq

double uhd::tune_result_t::clipped_rf_freq

The target RF frequency, clipped to be within system range

If the requested frequency is within the range of the system, then this variable will equal the requested frequency. If the requested frequency is outside of the tunable range, however, this variable will hold the value that it was 'clipped' to in order to keep tuning in-bounds.

## ◆ target_dsp_freq

double uhd::tune_result_t::target_dsp_freq

The frequency the CORDIC must adjust the RF

AUTO Tuning Policy: It is fairly common for the RF LO to not be able to exactly hit the requested frequency. This variable holds the required adjustment the CORDIC must make to the signal to bring it to the requested center frequency.

MANUAL Tuning Policy This variable equals the DSP frequency in the tune request, clipped to be within range of the DSP if it was outside.

## ◆ target_rf_freq

double uhd::tune_result_t::target_rf_freq

Target RF Freq, including RF FE offset

AUTO Tuning Policy: This variable holds the requested center frequency, plus any LO offset required by the radio front-end. Note that this is not the LO offset requested by the user (if one exists), but rather one required by the hardware (if required).

MANUAL Tuning Policy: This variable equals the RF frequency in the tune request.

The documentation for this struct was generated from the following file:

- tune_result.hpp